#!/usr/bin/python
"""
Just a hack to convert rst to xml and then docbook . 
May not containt all the required elements of a docbook .
Just done to make it run for the specific rst for our 
sees documentation.
"""
import xml.etree.ElementTree as ET
import os 
import re
import subprocess
import os
import pkg_resources
import time
from docutils.core import publish_file 
import os
import sys
chapterno=0
tmp_folder="/home/hg/repos/SEES-hacks/temp/"








def convert2xml(file_name):
    """ convert to xml using rst2xml internally """
    global chapterno    
    file_name=file_name.split()[0]
    name=file_name.split('/')[-1]
   
    xml_file_temp='/'.join(file_name.split('/')[:-2])
     
    name='ch'+str(chapterno)+name.split('.')[0]
    xml_file=tmp_folder+name+'.xml'
    print xml_file   

    try:    
        publish_file(source_path=file_name, destination_path=xml_file,parser_name='restructuredtext', writer_name='xml') 
    except :
        pass
def walk(repo):
    global chapterno
#    mainfolder='/home/hg/repos/sttp/'    
    for readline in open('/home/hg/repos/SEES-hacks/index.config','r').readlines():
        chapterno+=1		
        filename=repo+readline
        print filename        
        convert2xml(filename)
       




if __name__=='__main__':
    repo=sys.argv[1]
    walk(repo)
#    convert(1,2,3)




























